1. Customers
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
      GET
    • Create customers
      POST
    • Update customers
      POST
    • Delete customers
      POST
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
    • Get vehicles
    • Update multiple vehicles
    • Delete multiple vehicles
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
    • Create and design a form
    • Update many forms
    • Delete many forms
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update many form submissions
    • Delete many form submissions
  1. Customers

Update customers

Production
https://api-35.elogii.com
Production
https://api-35.elogii.com
POST
/customers/updateMany

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-35.elogii.com/customers/updateMany' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "items": [
        {
            "_id": "685b4891501d0756a91c94cb",
            "contactName": "Janet Miles",
            "contactPhone": "071234567",
            "contactEmail": "jane@mintmillers.com",
            "locations": [
                {
                    "externalId": "Main HQ",
                    "reference": "",
                    "name": "Mint Millers HQ",
                    "address": "Berking Ave, Leeds LS9, UK",
                    "addressLine2": "",
                    "postCode": "LS9",
                    "city": "Leeds",
                    "country": "United Kingdom",
                    "what3words": "",
                    "coordinates": [
                        -1.5179105,
                        53.79757069999999
                    ],
                    "contactName": "support",
                    "contactPhone": "01156898",
                    "contactEmail": "support@mintmillers.com",
                    "instructions": "Call before arrival",
                    "schedule": {
                        "Tue": {
                            "timeWindows": [
                                {
                                    "start": 420,
                                    "end": 600
                                }
                            ]
                        }
                    },
                    "setupDuration": 0,
                    "serviceDuration": 0
                }
            ],
            "tags": [
                "pharma"
            ]
        },
        {
            "_id": "67858863ad2b0de4ba66e250",
            "contactName": "Lindsey S",
            "contactPhone": "071234567",
            "contactEmail": "lindsers@gmail.com",
            "locations": [
                {
                    "uid": "CL-PWZNXZCP",
                    "reference": "LI118",
                    "address": "The Tye, Lindsey, Ipswich IP7 6PP, UK",
                    "postCode": "IP7 6PP",
                    "city": "Lindsey",
                    "country": "United Kingdom",
                    "coordinates": [
                        0.8918398999999999,
                        52.07447029999999
                    ],
                    "schedule": null
                }
            ],
            "externalId": "Lindsey Salon",
            "userInfo": {
                "_id": "68236609829341b11c35723a",
                "email": "lindseys@gmail.com@gmail.com",
                "firstName": "Lindsey",
                "lastName": "S"
            }
        }
    ]
}'
Response Response Example
{
    "result": 2,
    "errors": [],
    "ids": [
        "685b4891501d0756a91c94cb",
        "67858863ad2b0de4ba66e250"
    ]
}
Modified at 2026-05-01 13:43:24
Previous
Create customers
Next
Delete customers
Built with